import request from "@/utils/request";
import constant from "@/utils/constant";

// 分页查询物联感知数据
const getData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/iotData/selectIOTDataData', params);
}
// 通过ID查询物联感知数据
const getDataById = (params) => {
    return request.postForm(constant.dtbserverProxy + '/iotData/getIOTById', params)
}
// 新增物联感知数据
const addData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/iotData/addIotData', params);
}
// 修改物联感知数据
const updateData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/iotData/addIotData', params);
}
// 删除物联感知数据
const deleteData = (params) => {
    return request.postForm(constant.dtbserverProxy + '/iotData/deleteIOTData', params)
}

export default {
    getData,
    getDataById,
    addData,
    updateData,
    deleteData,
}